#ifndef __PHYSFS_OGRE_H__
#define __PHYSFS_OGRE_H__

namespace PhysFS
{
  /**
   * Register the PhysFS system to Ogre's archive manager.
   * This allows you to use the PhysFS system for your resources, just
   * pass "PhysFS" as the location type when adding PhysFS locations
   * to Ogre's resource group manager.
   *
   * Note that this function instantiates a singleton inheriting from
   * Ogre::ArchiveFactory. The singleton will live until the application
   * is shut down. By then, you should have destroyed the Ogre system.
   * Also note that, naturally, you must have PhysFS initialised in order
   * to successfully access any resources with it.
   * I suggest that you initialise PhysFS before Ogre and shut it down after
   * Ogre. This way, you should be fine. Call this function only after
   * Ogre has been initialised!
   */
  void registerPhysFSToOgre();
}

#endif
